<?php
//Loop through the query in order to get the categories
$catarray = array(1);
$categories = get_the_category();
foreach($categories as $cat) :
	if( !in_array( $cat->term_id, $catarray ) )
		$catarray[] = $cat->term_id;
endforeach;
$videos = new WP_Query( "exclude=".$post->ID."&cat=".$categories[0]->term_id."&posts_per_page=7&orderby=rand" );
$vid_info = array();
$vid_info = get_post_meta($post->ID, "oembed_info", true);
?>

<!--Begin Related Video Block -->
<?php if( get_option("ocmx_meta_relatedvids") != "false" ) : ?>
	<?php if ( $videos->have_posts() ) : ?>
		<div class="video-slider no_display">
			<ul>
				<?php while ( $videos->have_posts()) : $videos->the_post();
					$args  = array('postid' => $post->ID, 'width' => 100, 'height' => 65, 'exclude_video' => true, 'hide_href' => false, 'resizer' => '100x65' );
					$image_top = get_obox_media( $args );

					 ?>

					<li>
						<?php echo $image_top; ?>
						<a href="<?php echo get_permalink($post->ID); ?>"><?php the_title(); ?></a>
					</li>
				<?php endwhile; ?>
			</ul>
		</div>
	<?php endif; ?>
<?php endif; ?>
<!--Begin HD Container -->
<div id="hd-container">
	<?php if( !is_page() && get_option("ocmx_meta_relatedvids") != "false" && $videos->have_posts() ): ?>
		<a href="#" class="related-videos"><?php _e("Related Videos", "ocmx"); ?></a>
	<?php endif; ?>

	<?php if (have_posts()) :
		while (have_posts()) : the_post(); setup_postdata($post);
			global $post;
			$link = get_permalink($post->ID);
			$args  = array( 'postid' => $post->ID, 'width' => 980, 'hide_href' => false, 'imglink' => true, 'imgnocontainer' => true, 'resizer' => '980' );
			$image = get_obox_media($args);
	?>
	<div class="post-title-block">
	<?php if( get_option("ocmx_meta_social") != "false" ) : // Get Social Links if enabled in Theme Options ?>
		<ul class="social">
			<li class="addthis">
				<!-- AddThis Button BEGIN. Customize at http://www.addthis.com-->
					<div class="addthis_toolbox addthis_default_style ">
						<a class="addthis_button_facebook_like"></a>
						<a class="addthis_button_tweet"></a>
						<a class="addthis_counter addthis_pill_style"></a>
					</div>
					<script type="text/javascript" src="http://s7.addthis.com/js/300/addthis_widget.js#pubid=xa-507462e4620a0fff"></script>
				<!-- AddThis Button END -->
			</li>
		</ul>
	<?php endif; ?>

	<?php if( !is_page() )  : // If this is a page, we won't show the meta... ?>
			<h5 class="date post-date">
				<?php if( get_option( "ocmx_meta_date" ) != "false" ){echo the_time( get_option('date_format') );} ?>
				<?php if( get_option( "ocmx_meta_author" ) != "false" ){ _e(" by ", "ocmx"); the_author_posts_link(); }?>
				<?php if( get_option( "ocmx_meta_category" ) != "false" ){ _e(" in ", "ocmx");  the_category(", "); }?>
				<?php if( get_option("ocmx_video_meta") != "false") : ?>&nbsp;
					<?php if( isset( $vid_info['views'] ) ) : ?>
						<span class="views"><?php echo $vid_info['views']; ?></span>
					<?php endif; ?>
					<?php if( isset( $vid_info['likes'] ) ) : ?>
							<span class="likes"><?php echo $vid_info['likes']; ?></span>
					<?php endif; ?>
				<?php endif; ?>
			 </h5>
	<?php endif; ?>
		<!--Show the Title -->
		<h2 class="post-title typography-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
	</div><!--End Post Title Block -->

	<!--Show the Featured Image or Video -->
	<div class="post-image fitvid">
		<?php echo $image; ?>
	</div>

	<?php endwhile; endif; ?>
</div><!--End HD Container -->

<ul class="double-cloumn clearfix">
	<li id="left-column">
		<ul class="blog-main-post-container">
			<div id="post-<?php the_ID(); ?>" <?php post_class("post clearfix"); ?>>
				<?php if ( have_posts()) : while (have_posts()) : the_post(); setup_postdata($post);
					$link = get_permalink( $post->ID ); ?>
						<div class="content clearfix">
							<div class="copy clearfix">
								 <?php the_content(""); ?>
                                 <?php wp_link_pages('before=<div id="post-page-links">&after=</div>'); ?>
							</div>
							<!--Begin Post Meta -->
							<ul class="post-meta">
								<?php if( get_option( "ocmx_meta_tags" ) != "false" && has_tag() ) : ?>
										<li class="meta-block">
											<ul class="tags">
												<?php the_tags('<li>','</li><li>','</li>'); ?>
											</ul>
										</li>
								<?php endif; ?>
								<?php if( get_option( "ocmx_meta_shorturl" ) != "false" ): ?>
									<li class="meta-block">
										<div class="short-url">
										   <strong><?php _e("Short Url", "ocmx"); ?></strong>
										   <input type="text" value="<?php echo wp_get_shortlink($post->ID); ?>" />
										</div>
									</li>
								<?php endif; ?>
							</ul>
						</div>
					<!--End Content -->
					<?php endwhile;
						else :
							 ocmx_no_posts();
						endif; ?>
				<?php comments_template(); ?>
			</li>
		</ul>
	</li>
	<?php get_sidebar(); ?>
</ul>