<?php get_header(); ?>
	<?php if(get_option("ocmx_home_page_layout") == "widget") : ?>
		<div class="home-widgets">
			<?php dynamic_sidebar('home-page-widgets'); ?>
		</div>
        <?php if (function_exists('dynamic_sidebar') && is_active_sidebar('home-page-columns')) : ?> 
        <div id="widget-block" class="clearfix">
            <ul class="widget-list">
                <?php dynamic_sidebar('home-page-columns'); ?>
            </ul>
        </div>
        <?php endif; 
    else : ?>
        <ul class="double-column clearfix">
            <li id="left-column">
                <ul class="blog-main-post-container">
                    <?php if (have_posts()) :
                        while (have_posts()) :	the_post(); setup_postdata($post);
							get_template_part("functions/fetch-list");
                        endwhile;
                    else :
                        ocmx_no_posts();
                    endif; ?>
                </ul>
                <?php motionpic_pagination("clearfix", "pagination clearfix"); ?>
            </li>
            <?php get_sidebar(); ?>
        </ul>
	<?php endif; ?>
<?php get_footer(); ?>