<?php 
	
// Create Dynamic Sidebars
if (function_exists('register_sidebar')) :    
    register_sidebar(array("name" => "Home Page Widgets", "id" => "home-page-widgets", "description" => "Place all 'Home Page Widgets' here.", "before_title" => '<h4 class="widgettitle">', "after_title" => '</h4>', 'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget' => '</div>'));
 	register_sidebar(array("name" => "Home Page 3 Column", "id" => "home-page-columns", "description" => "Single column widgets placed here will appear in 3 columns.", "before_title" => '<h4 class="widgettitle">', "after_title" => '</h4>', 'before_widget' => '<li id="%1$s" class="widget %2$s"><div class="content">', 'after_widget' => '</div></li>'));
 	register_sidebar(array("name" => "Sidebar", "id" => "sidebar", "before_title" => '<h4 class="widgettitle">', "after_title" => '</h4>', 'before_widget' => '<li id="%1$s" class="widget %2$s"><div class="content">', 'after_widget' => '</div></li>'));
	register_sidebar(array("name" => "Footer", "id" => "footer", "before_title" => "<h4>", "after_title" => "</h4>", "before_widget" => "<li class=\"column\">", "after_widget" => "</li>"));
endif;

function ocmx_clear_old_widgets(){
	unregister_widget("ocmx_recent_posts_widget");
	unregister_widget("four_column_widget");
}
add_action('widgets_init', 'ocmx_clear_old_widgets', 11);