function slide_frame(frame_no, new_frame, div){
	//Fade Out
	jQuery(".gallery-container ul").animate({"top": -(new_frame*420)}, {duration: 350});
	jQuery(".copy ul").animate({"left": -(new_frame*250)}, {duration: 500});
	
	jQuery(".copy ul").children("li").eq(frame_no).animate({opacity: 0}, 250);
	jQuery(".copy ul").children("li").eq(new_frame).animate({opacity: 1}, 500);
	
	//Set Dot
	jQuery(".dot-selected").removeClass("dot-selected");

	div.parent().children(".slider-dots").children("a").eq(new_frame).addClass("dot-selected");
}

function clear_auto_slide(){
	jQuery("div[id^='slider-auto-']").each(function(){
		if(!isNaN(jQuery(this).text()) && jQuery(this).text() !== "0" && jQuery(this).text() !== "")
			{clearInterval(SliderInterval);}
	});
}

jQuery(document).ready(function()
	{
		if(jQuery.browser.msie || jQuery.browser.mozilla)
			{Screen = jQuery("html");}
		else
			{Screen = jQuery("body");}
			
		jQuery(".fitvid").fitVids();
			
		jQuery.frame_no = 0;
		jQuery.noslide = 0
		jQuery(".slider .copy ul").children().not(':eq(0)').css({'opacity': 0});
		jQuery("div[id^='slider-auto-']").each(function(){
			if(!isNaN(jQuery(this).text()) && jQuery(this).text() !== "0" && jQuery(this).text() !== "")
				{
						
					var frame_div = jQuery(this).parent().children("div[id^='slider-number-']")
					var div = jQuery(this).parent().children(".copy").children("ul");
					var max_clicks = div.children("li").size();	
					
					SliderInterval = setInterval(function(){
						jQuery.noslide = 1;
						frame_no = frame_div.text();
						new_frame = (frame_no/1+1);
						if(new_frame == max_clicks){new_frame = 0;}
			
						slide_frame(frame_no, new_frame, div);
						
						jQuery(frame_div).text(new_frame);
					}, (jQuery(this).text()*1000));
				}
		});
		
		jQuery("iframe, object").mouseover(function(){clear_auto_slide();});
		
		jQuery(".slider .next").click(function(){	
			jQuery.noslide = 1;
			container = jQuery(this).parent().children(".copy").children("ul");
			max_clicks = container.children("li").size();	

			var frame_div = jQuery(this).parent().children("div[id^='slider-number-']")
			var frame_no = frame_div.text();
			var div = jQuery(this);

			new_frame = (frame_no/1+1);
			if(new_frame == max_clicks){new_frame = 0;}

			slide_frame(frame_no, new_frame, div);
			
			frame_div.text(new_frame);
			
			clear_auto_slide();
			return false;
		});
		
		jQuery(".slider .previous").click(function(){
			jQuery.noslide = 1;
			container = jQuery(this).parent().children(".copy").children("ul");
			max_clicks = container.children("li").size();	

			var frame_div = jQuery(this).parent().children("div[id^='slider-number-']")
			var frame_no = frame_div.text();
			var div = jQuery(this);
			
			new_frame = (frame_no/1-1);
			if(new_frame < 0){new_frame = (max_clicks-1), frame_no = 0;}
			
			slide_frame(frame_no, new_frame, div);
			
			frame_div.text(new_frame);
			
			clear_auto_slide();
			return false;
		});

		jQuery(".slider-dots a").click(function(){
			jQuery.noslide = 1;
			var frame_div = jQuery(this).parent().parent().children("div[id^='slider-number-']")
			var frame_no = frame_div.text();
			var div = jQuery(this).parent();
			
			new_frame = jQuery(this).attr("rel");
			
			slide_frame(frame_no, new_frame, div);
			frame_div.text(new_frame);

			clear_auto_slide();
			return false;
		});
			
		jQuery(".related-videos").click(function(){
			if(jQuery(this).hasClass("active")) {
				jQuery(".video-slider").slideUp();
				jQuery(this).removeClass("active").text("Related Videos");
			}
			else {
				jQuery(".video-slider").slideDown();
				jQuery(this).addClass("active").text("Hide Videos");
			}
			return false;
		});
		
		jQuery.video_frame = 1;
		jQuery(".latest-videos .pagination .next").click(function(){
			i = ((jQuery.video_frame/1)+1);
			vidmax = jQuery("[id^='video_widget_']").size();
			
			if(vidmax < i)
				i = 1;
				
			new_videoid = "#video_widget_"+i;
			old_videoid = "#video_widget_"+jQuery.video_frame;
			
			jQuery("[rel='"+old_videoid+"']").fadeOut({duration: 400});
			setTimeout(function(){jQuery("[rel='"+new_videoid+"']").fadeIn()}, 500);
				
			newleft = (i*(-240)+240)+"px";
			
			
			jQuery(".latest-videos .content").animate({"left": newleft},{duration: 500});
			
			jQuery.video_frame = i;
			return false;
		});
		jQuery(".latest-videos .pagination .previous").click(function(){
			i = ((jQuery.video_frame/1)-1);
			
			if(i < 1)
				i = 1;
			
			new_videoid = "#video_widget_"+i;
			old_videoid = "#video_widget_"+jQuery.video_frame;
			
			jQuery("[rel='"+old_videoid+"']").fadeOut({duration: 400});
			setTimeout(function(){jQuery("[rel='"+new_videoid+"']").fadeIn()}, 500);
			
			newleft = (i*(-240)+240)+"px";
			
			jQuery(".latest-videos .content").animate({"left": newleft},{duration: 500});
			
			jQuery.video_frame = i;
			return false;
		});
		
		/*************************/
		/* Comments Form Clearer */
		var author = "author";
		jQuery("#"+author).focus(function(){
			if(jQuery("#"+author).attr("value") == "Name")
				{jQuery("#"+author).attr("value", "");}
		});
		
		jQuery("#"+author).blur(function(){
			if(jQuery("#"+author).attr("value") == "")
				{jQuery("#"+author).attr("value", "Name");}
		});
		
		var email = "email";	
		jQuery("#"+email).focus(function(){
			if(jQuery("#"+email).attr("value") == "Email")
				{jQuery("#"+email).attr("value", "");}
		});
		
		jQuery("#"+email).blur(function(){
			if(jQuery("#"+email).attr("value") == "")
				{jQuery("#"+email).attr("value", "Email");}
		});
		
		var url = "url";		
		jQuery("#"+url).focus(function(){
			if(jQuery("#"+url).attr("value") == "URL")
				{jQuery("#"+url).attr("value", "");}
		});
		jQuery("#"+url).blur(function(){
			if(jQuery("#"+url).attr("value") == "")
				{jQuery("#"+url).attr("value", "URL");}
		});
		
		var twitter = "twitter";		
		jQuery("#"+twitter).focus(function(){
			if(jQuery("#"+twitter).attr("value") == "Twitter")
				{jQuery("#"+twitter).attr("value", "");}
		});
		jQuery("#"+twitter).blur(function(){
			if(jQuery("#"+twitter).attr("value") == "")
				{jQuery("#"+twitter).attr("value", "Twitter");}
		});
	});