<?php header('Content-type: text/css'); ?>
<?php if(get_option("ocmx_ignore_colours") != "yes"): ?>
	<?php if(get_option("ocmx_font_css")) : ?>
		.testimonials li blockquote p{<?php echo get_option("ocmx_font_css"); ?>}
	<?php endif; ?>
	<?php if(get_option("ocmx_general_font_color")) : ?>
		body{color: <?php echo get_option('ocmx_general_font_color');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_header_text")) : ?>
		.logo .tagline, .logo h1, .logo h1 a{color: <?php echo get_option('ocmx_header_text');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_header_background")) : ?>
		#header-container, #footer-text-container{background-color: <?php echo get_option('ocmx_header_background');?> !important;}
	<?php endif; ?>
	<?php if(get_option("ocmx_navigation_background")) : ?>
		#navigation-container, #footer-navigation-container{background-color: <?php echo get_option('ocmx_navigation_background');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_navigation_font_color")) : ?>
		ul#nav li a, ul#nav li a:hover, ul#nav-footer li a, ul#nav-footer li a{color: <?php echo get_option('ocmx_navigation_font_color');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_navigation_hover")) : ?>
		ul#nav li a:hover, ul#nav-footer li a:hover, ul#nav li a:active{background: <?php echo get_option('ocmx_navigation_hover');?> !important;}
	<?php endif; ?>
	<?php if(get_option("ocmx_navigation_link_hover")) : ?>
		ul#nav li a:hover, ul#nav-footer li a:hover{color: <?php echo get_option('ocmx_navigation_link_hover');?>;}
	<?php endif; ?>


	<?php if(get_option("ocmx_sub_navigation_background")) : ?>
		ul#nav ul.sub-menu{background: <?php echo get_option('ocmx_sub_navigation_background');?>;}
	<?php endif; ?>

	<?php if(get_option("ocmx_sub_navigation_link")) : ?>
		ul#nav ul.sub-menu a, ul#nav ul.sub-menu li a{color: <?php echo get_option('ocmx_sub_navigation_link');?>;}
	<?php endif; ?>

	<?php if(get_option("ocmx_sub_navigation_link_hover_background")) : ?>
		ul#nav ul.sub-menu a:hover, ul#nav ul.sub-menu li a:hover{background: <?php echo get_option('ocmx_sub_navigation_link_hover_background');?> !important;}
	<?php endif; ?>

	<?php if(get_option("ocmx_sub_navigation_link_hover")) : ?>
		ul#nav ul.sub-menu a:hover, ul#nav ul.sub-menu li a:hover{color: <?php echo get_option('ocmx_sub_navigation_link_hover');?>;}
	<?php endif; ?>

	<?php if(get_option("ocmx_sub_navigation_border")) : ?>
		ul#nav ul.sub-menu{border-color: <?php echo get_option('ocmx_sub_navigation_border');?>;}
	<?php endif; ?>



	<?php if(get_option("ocmx_buttons")) : ?>
		.latest-videos .pagination .next a, .latest-videos .pagination .previous a, .pagination .next a, .pagination .previous a, .button, .buttons, .slider .next, .slider .previous, .video-list a.action-link, .related-videos, .submit_button, #comment_submit{background-color: <?php echo get_option('ocmx_buttons');?>; color: <?php echo get_option('ocmx_buttons_text');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_buttons_hover")) : ?>
		.latest-videos .pagination .next a:hover, .latest-videos .pagination .previous a:hover,.pagination .next a:hover, .pagination .previous a:hover,.button:hover, .buttons:hover, .slider .next:hover, .slider .previous:hover, .video-list a.action-link:hover, .related-videos:hover, .submit_button:hover, #comment_submit:hover{background-color: <?php echo get_option('ocmx_buttons_hover');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_accent_color")) : ?>
		.related-videos, .dater.alt, .video-slider, .gallery-thumbnails ul, .wp-caption{background-color: <?php echo get_option('ocmx_accent_color');?>; border-color: <?php echo get_option('ocmx_accent_color');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_post_titles_font_color")) : ?>
	   .slider .post-title a, h2.post-title, .latest-gallery .masonry .overlay, .latest-news .post-title a, .post-title a, h3.post-title, .page-title{color: <?php echo get_option('ocmx_post_titles_font_color');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_widget_titles_font_color")) : ?>
		h3.widgettitle, .contact-details .details h4, #footer h4, .comments .section-title, h4, .comment-form-content label, h5, .about-me .post-title {color: <?php echo get_option('ocmx_widget_titles_font_color');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_page_title")) : ?>
		.page-title {color: <?php echo get_option('ocmx_page_title');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_content_background")) : ?>
		.slider, .video-list, .post-image, .archives, #content-container, .post-title-block{background-color: <?php echo get_option('ocmx_content_background');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_alternative_background")) : ?>
		.latest-videos .pagination, #right-column, .slider, #widget-block{background-color: <?php echo get_option('ocmx_alternative_background');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_content_widget_background")) : ?>
	 .video-list .three-column li, .video-list .four-column li{background-color: <?php echo get_option('ocmx_content_widget_background');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_content_widget_hover")) : ?>
		.video-list .three-column li:hover, .video-list .four-column li:hover{background-color: <?php echo get_option('ocmx_content_widget_hover');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_content_borders")) : ?>
		ul.archives_list li, .video-list .three-column li, ul#nav li, ul.archives_list li .comment, .comments, .latest-videos .pagination, #content-container, #header-container, #navigation-container, .slider, #footer-container, #footer-navigation-container, #widget-block, .widgettitle, .slider .post-title, #hd-container, .comments, #right-column, .blog-main-post-container .post, .threaded-comments, .comment, ul.widget-list li.widget li, .slider .next, .slider .previous, .video-list .four-column li:hover{border-color: <?php echo get_option('ocmx_content_borders');?>;}
	<?php endif; ?>	
	<?php if(get_option("ocmx_post_title_background")) : ?>
		.latest-gallery .masonry .overlay, .title-copy{background-color: <?php echo get_option('ocmx_post_title_background');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_content_links")) : ?>
		#content-container a, #content-container a:link, #content-container a:visited, .post-meta li.meta-block:first-child a.action-link, .details a, .meta, .meta a, .byline, .post-content a, .tab-event a, .post-content .copy a{color: <?php echo get_option('ocmx_content_links');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_content_links_hover")) : ?>
		.logo h1 a:hover, #content-container a:hover, .slider .post-title a:hover, .post-title a:hover, a:hover, .post-meta li.meta-block:first-child a.action-link:hover .latest-news .post-title a:hover, .post-title a:hover, .details a:hover, .meta a:hover, .post-content a:hover, .tab-event a:hover, .post-content .copy a:hover{color: <?php echo get_option('ocmx_content_links_hover');?>;}
		.slider .post-title:hover{border-color: <?php echo get_option('ocmx_content_links_hover');?> !important;}
	<?php endif; ?>
	<?php if(get_option("ocmx_footer_background")) : ?>
		#footer-container, #footer{background-color: <?php echo get_option('ocmx_footer_background');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_footer_links")) : ?>
		#footer-container a, #footer a, .popular_posts a, ul#twitter_update_list li span a, ul#twitter_update_list li a, .obox-credit a{color: <?php echo get_option('ocmx_footer_links');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_footer_links_hover")) : ?>
		#footer-container a:hover, #footer a:hover, .popular_posts a:hover, ul#twitter_update_list li span a:hover, ul#twitter_update_list li a:hover, .obox-credit a:hover{color: <?php echo get_option('ocmx_footer_links_hover');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_footer_text")) : ?>
		#footer-container, #footer, #footer ul li.column ul li, #footer .byline{color: <?php echo get_option('ocmx_footer_text');?>;}
	<?php endif; ?>
	<?php if(get_option("ocmx_copyright_text")) : ?>
		.footer-text p{color: <?php echo get_option('ocmx_copyright_text');?>;}
	<?php endif; ?>
<?php endif; ?>
<?php if(get_header_image() != "" && is_home()) : ?>
	#header-banner{background: url('<?php header_image(); ?>') center no-repeat;}
<?php endif; 
if(get_option("ocmx_custom_css") != ""): 
	echo get_option("ocmx_custom_css"); 
endif; 
?>