<?php
$link = get_permalink( $post->ID );
$args  = array( 'postid' => $post->ID, 'width' => 580, 'height' => 350, 'hide_href' => false, 'exclude_video' => true, 'imglink' => false, 'imgnocontainer' => true, 'resizer' => '580x350' );
$image = get_obox_media( $args );
$vid_info = array();
$vid_info = get_post_meta($post->ID, "oembed_info", true);
?>

<li class="post clearfix">
	<div class="content clearfix">
		<div class="post-title-block">
			<!--Show Post Meta -->
			<h5 class="date post-date">
				<?php if( get_option( "ocmx_meta_date" ) != "false" ){echo the_time( get_option('date_format') );} ?>
				<?php if( get_option( "ocmx_meta_author" ) != "false" ){ _e(" by ", "ocmx"); the_author_posts_link(); }?>
				<?php if( get_option( "ocmx_meta_category" ) != "false" ){ _e(" in ", "ocmx");  the_category(", "); }?>
				<?php if( get_option("ocmx_video_meta") != "false") : ?>&nbsp;
					<?php if( isset( $vid_info['views'] ) ) : ?>
						<span class="views"><?php echo $vid_info['views']; ?></span>
					<?php endif; ?>
					<?php if( isset( $vid_info['likes'] ) ) : ?>
							<span class="likes"><?php echo $vid_info['likes']; ?></span>
					<?php endif; ?>
				<?php endif; ?>
			 </h5>
			 <!--Show the Title -->
			<h2 class="post-title typography-title"><a href="<?php echo $link; ?>"><?php the_title(); ?></a></h2>
		</div>
		<!--Show the oEmbed thumb if available, else get the Featured Image or Video -->
			<div class="post-image">
				<?php echo $image;?>
			</div>
		<!--Show the Excerpt -->
		<div class="copy <?php echo $image_class; ?>">
			 <?php the_excerpt(); ?>
		</div>

		 <ul class="post-meta">
			<li class="meta-block">
				<a href="<?php echo $link; ?>" class="action-link"><?php _e("Continue Reading","ocmx"); ?></a>
				<?php if( comments_open() && get_option( "ocmx_meta_comments" ) != "false" ): ?><a href="<?php echo $link; ?>#comments" class="comment-count"><?php comments_number(__('0 Comments','ocmx'),__('1 Comment','ocmx'),__('% Comments','ocmx')); ?></a><?php endif; ?>
			</li>
		 </ul>
	</div>
</li>